package com.jxy.binance.mapper;

import com.jxy.binance.dto.BiAnWSDto;
import com.jxy.common.datasource.annotation.Master;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @Description TODO
 * @Date 2022/6/20 17:36
 * @Author 杜懿
 */
@Master
public interface BiAnMapper2 {

    public void inserthBtcusdtPERP(@Param("dto") BiAnWSDto biAnWSDto);

    public void insertUSDPERP(@Param("dto") BiAnWSDto biAnWSDto, @Param("table") String table);

    public void insertUSDT(@Param("dto") BiAnWSDto biAnWSDto,@Param("table") String table);

    public void insertStock(@Param("dto") BiAnWSDto biAnWSDto,@Param("table") String table);

    public void batchUSDPERP(@Param("list") List<BiAnWSDto> list, @Param("table") String table);

    public void batchUSDT(@Param("list") List<BiAnWSDto> list,@Param("table") String table);

    public void batchStock(@Param("list") List<BiAnWSDto> list,@Param("table") String table);

    public List<BiAnWSDto> getTotalBTCClosePrice();

    public List<BiAnWSDto> getTotalETHClosePrice();
}
